Article ID: 117424, created on Sep 21, 2013, last review on Apr 21, 2016

  • Applies to:
  • Odin Business Automation Standard

Symptoms

There is a need to install PHP modules that are not included into OBAS distributive.

Resolution

Distributive of OBAS 4.5.5 includes rpm packages required for normal PBA-S work. Packages php53* are included into the distributive:

[root@pbas43 ~]# ls -l pbas-4.3.4-22/packages/ | grep php
-rw-r--r-- 1 520 543  1327661 Aug  4 15:30 php53-5.3.3-13.el5_9.1.i386.rpm
-rw-r--r-- 1 520 543  2605767 Aug  4 15:30 php53-cli-5.3.3-13.el5_9.1.i386.rpm
-rw-r--r-- 1 520 543   619379 Aug  4 15:30 php53-common-5.3.3-13.el5_9.1.i386.rpm
-rw-r--r-- 1 520 543  1218302 Aug  4 15:30 php53-mbstring-5.3.3-13.el5_9.1.i386.rpm
-rw-r--r-- 1 520 543   150130 Aug  4 15:30 php53-soap-5.3.3-13.el5_9.1.i386.rpm

These packages were not built by Parallels though - they were provided by CentOS vendor:

[root@pbas43 ~]# rpm -qpi pbas-4.3.4-22/packages/php53-5.3.3-13.el5_9.1.i386.rpm
Name        : php53                        Relocations: (not relocatable)
Version     : 5.3.3                             Vendor: CentOS
Release     : 13.el5_9.1                    Build Date: Fri 12 Jul 2013 11:08:15 PM CEST
Install Date: (not installed)               Build Host: builder10.centos.org
Group       : Development/Languages         Source RPM: php53-5.3.3-13.el5_9.1.src.rpm
Size        : 3342177                          License: PHP and LGPLv2 and LGPLv2+

You may safely install php53-mysql and php53-pgsql on PBA-S node from CentOS, but version must be 5.3.3-13 - is should match version of PHP packages from PBA-S distributive. It's not guaranteed PBA-S 4.3.3 work correctly with other php version.

Search Words

vendor

not included

PHP packages

PBAS distributive

400e18f6ede9f8be5575a475d2d6b0a6 caea8340e2d186a540518d08602aa065

Email subscription for changes to this article
Save as PDF